Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8b

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
The official Sphax patch has been updated again to fully support the new updat (v0.7.5). Update is recommended! http://bit.ly/The-1-7-10-Pack-Sphax
Hi it's me posted a status update for The 1.7.10 Pack 4 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
woohooooo
Posted by HellDoG2k3 4 years ago
when i tried to download i got this: {"status": 401,"error": "Request Unauthorized"} please help
Posted by monobovo01 4 years ago
Hahaha, first time using the Technic Platform? You need to download the launcher. Read more on the main page! :)
Posted by Hi it's me 4 years ago
when i was about to play it, it said error: Could not create the Java Virtual Machine and Error: A fatal exception has occurred. Program will exit help me please
Posted by NightSetter74 4 years ago
https://www.youtube.com/watch?v=KH62sm-orE4
Posted by Hi it's me 4 years ago
do you need to use more then 3g ram to use the pack because it doesnt work for me
Posted by monobovo01 4 years ago
If you're having problems please see in the "HELP" Section where should you go. I'll help you there!
Posted by Hi it's me 4 years ago
can you please add a forge download i want to add the mod pack to my mcprohosting server
Posted by monobovo01 4 years ago
What do you mean? Please go to the "HELP" Section to see more information for where you should get help.
Posted by Hi it's me 4 years ago
Do you have Twitter?
Posted by GhostPlayHQ 4 years ago
Not using it much though. https://twitter.com/JonHex_
Posted by Hi it's me 4 years ago
I CANT EVEN GET IT TO OPEN. FIX YOUR MOD PACK. I dont have the best internet so i spent an hour downloading it and it wont work. all of the other mod packs i downloaded work fine.
Posted by minecraftnik9 4 years ago
Another plz fix comment? Please use the right version of Java (7/8 and 64 bit version) And things will work. Also please see on the "HELP" Section where you should really get help.
Posted by Hi it's me 4 years ago
when i installed the modpack it would not open minecraft for me and i keep deltele and reinstall the modpack and it did not work pls helps
Posted by minecraft5402 4 years ago
Java 7/8 64 bit.
Posted by Hi it's me 4 years ago
Hey, I'm using a mac and I installed the mod pack on the launcher, but whenever hit play it would start running. Then it crashes without the window poping up and goes back to the launcher. PLEASE HELP! SpideyJosh
Posted by SpideyJosh 4 years ago
https://github.com/The-1-7-10-Pack/The-1.7.10-Pack/issues/368
Posted by Hi it's me 4 years ago

Latest Update

Thank you to all who have donated and supported the modpack's development. Recently we found that there is an issue with the donor capes on our end. It should be fixed within a couple of days so you could all show them off again!